McAfee WebScan version 1.04
for Windows 3.1x, Windows 95, and Windows NT (i386)

Release Notes - May 1996

Thank you for using McAfee's WebScan for Windows 3.1x, Windows 95, and
Windows NT.  As with all McAfee products, we would like to have your
comments.  Please use the contact information included in this file to give
McAfee your comments and suggestions.

This file contains important release information and installation
instructions.  It is HIGHLY RECOMMENDED that you read this entire document
before installing or uninstalling WebScan.

___________________
WHAT'S IN THIS FILE

This file covers the following topics:

What's New!
Introduction to WebScan for Windows 3.1x, Windows 95, and Windows NT (i386)
Installation
	System Requirements
	Installation Instructions
Manually Configuring WebScan
Uninstalling WebScan
Known Problems for This Release
Additional Information
McAfee Contact Information

___________
WHAT'S NEW!

New features introduced in WebScan 1.04 are:

	Support for 32-bit World Wide Web browsers
	Applications now protected by WebScan are:
		SPRY Mosaic (WebScan, NetLauncher, Mosaic in a Box)
		America Online's World Wide Web Browser
		Microsoft Internet Explorer 1.5 & 2.0
		Netcom NetCruiser
		Netscape Navigator, 16-bit and 32-bit
		Lotus cc:Mail
		Pegasus Mail

___________________________________________________________________________
INTRODUCTION to WebScan for Windows 3.1x, Windows 95, and Windows NT (i386)

McAfee WebScan for Windows 3.1x, Windows 95, and Windows NT is the ideal
tool for protecting your workstations from possible virus infections via
e-mail and browsing the World Wide Web on the Internet.  To enhance your
system's ability to help you communicate and gather information efficiently,
WebScan also includes electronic mail (Pegasus Mail) and World Wide Web
browser (SPRY Mosaic) components which are automatically linked to WebScan
during installation.

WebScan operates by linking to installed applications on your Windows
workstation.  These applications automatically launch WebScan whenever files
are downloaded to your local computer, whether they are e-mail attachments
using Pegasus Mail or cc:Mail, or files downloaded from the Internet using
World Wide Web browsers such as SPRY Mosaic, Netscape Navigator, America
Online's web browser, or Microsoft's Internet Explorer. WebScan scans each
file for possible viruses and immediately notifies you if one is detected,
allowing you to delete the file before it has a chance to infect your
system.

WebScan even scans compressed and zipped files (*.zip, *.arc, *.arj)
recursively.  If you elect to save an infected file anyway, you should use
other McAfee products such as VirusScan to "clean" the infected file.

WebScan's new polling feature pro-actively scans cc:Mail e-mail attachments
even before you check your mail.  If a possible virus is detected, WebScan
notifies you and sends an e-mail notification to the sender of the infected
message.

You can also configure WebScan to send e-mail notification to the system
administrator to quickly contain the infected file from further spread.
Additionally, WebScan can be configured to move the infected message from
your inbox to an "Infected Files" quarantine folder within cc:Mail.

WebScan includes both electronic mail and World Wide Web browser components.
The e-mail component is Pegasus Mail, a solid mail package which enables you
to send and receive electronic messages and attached files across the world
via the Internet.  The browser component is SPRY Mosaic which connects you
to the Internet and allows you to browse the World Wide Web.  SPRY Mosaic
includes support for both LAN connections and dial-up PPP connections.
Together, these components make WebScan a powerful tool to protect your
system from virus infection while you use your system for education, work,
and fun on The Net.

McAfee will continue to improve this release, and all its products, on a
regular basis.

____________
INSTALLATION

System Requirements

Before you install WebScan, you need:

	- Windows 3.1x, Windows 95, or Windows NT 3.51 (i386).

	- 4MB Memory (RAM).

	- 9MB available storage (Hard Disk) space.

	- FILES= statement in CONFIG.SYS set to FILES=50 or higher.

To use the e-mail and World Wide Web browser components, you may also need:

	- A Local Area Network (LAN) connection.
     or
	- A modem, active phone line, and an account with an information
      service, internet service provider, or other dial-up network service.

Installing WebScan

Use the following procedure to install the WebScan software.

To install WebScan, complete the following procedures.
It is recommended that you quit all other Windows applications before
running SETUP.

1.  Select Run from the File menu.

2.  Type A:\SETUP.EXE (or use the path to the WebScan Setup Program) and
    press ENTER.  The License Agreement screen appears.

3.  Read the license agreement and choose Yes to accept the terms.  The
    Welcome screen appears.  If you do not agree with the terms, choose No,
    and Setup will quit.

4.  Click Next.  The User Information screen appears.  Enter your Name and
    Company.  Again, click Next.

5.  In the Setup Type screen, select the appropriate installation type:
	Typical, Compact, or Custom.

    "Typical" is recommended for most users and installs all WebScan
    components.  "Compact" installs the minimum WebScan AntiVirus
    components.  "Custom" allows you to choose which components to install
    and is recommended for advanced users.

6.  Select the Destination Directory into which WebScan will be installed.
    The default is:
	C:\McAfee\WebScan

    You can change this by clicking "Browse..."  Click Next in the Setup
    Type screen to continue installation.

7.  If you did NOT choose Custom setup, skip to step 8.  Otherwise, you are
    presented with a list of WebScan components to install.  Select the
    appropriate components.  Click Next.

8.  When installing the WebScan browser component, the Installed
    Applications Screen appears.  This lists currently installed
    applications on your system which WebScan can configure to protect your
    system from viruses.  Be sure there is a check mark next to each
    application you would like to protect from downloading infected files.
    Click Next to continue.

    Setup checks your system for an existing connection to the Internet.  If
    it finds one, you are prompted whether to maintain your current
    connection as the default, or to set SPRY Mosaic as the default.

    If Setup does not initially find an existing Internet connection, you
    are prompted to instruct Setup to run a more thorough secondary search,
    skip the search (you know you DO NOT have another connection), or to
    bypass the search (you know you DO have another connection).

9.  Select a Program Folder in which WebScan should place Program Icons.
    You can choose to add them to an existing Program Group from the list,
    or WebScan will create its own Program Folder, "McAfee WebScan".  Click
    Next.

10. WebScan Setup displays your installation settings and prompts you to
    confirm them before completing the installation.  If you would like to
    change a setting, click Back to the appropriate configuration window,
    make the change, and click Next until you return to the Confirm
    Installation Settings screen.  Click Next to confirm the settings.

    Setup copies the required files to your hard disk and links WebScan to
    the selected applications.

11. If you chose to link WebScan to Lotus cc:Mail, the cc:Scan configuration
    screen is displayed.  Set the appropriate options and click "Save" to
    continue.

    Note:  Leaving the Administrator e-mail ID blank defaults to cc:Mail's
    Administrator.

12. WebScan Setup displays a list of files which were modified during
    installation, along with a corresponding list of backup files (copies of
    the original files before installation).  Click Next.

13. Installation of WebScan is complete.  To complete the setup process,
    click Finish.

14. If you installed components which require further configuration, setup
    automatically launches the appropriate configuration tools upon exiting.

    It is recommended that you restart Windows after completing the
    installation and configuration.

Congratulations!  You're now ready to surf the Web and download files
knowing you're protected from viruses by the best in the anti-virus
business, McAfee!

_____________________________________
MANUALLY LINKING WEBSCAN TO A BROWSER

WebScan automatically links to the installed applications you select during
the installation process (see Additional Information below for a list of
applications WebScan automatically links).  WebScan's browser is SPRY
Mosaic, and is automatically linked during install.  If you later install
additional browsers or e-mail packages, you may choose to re-install WebScan
to automatically link these applications, or use the following procedure to
create the links manually.

1.  Launch the browser to link to WebScan.

2.  Configure the browser's Helper Applications or Viewer Applications (the
    name varies among browsers).  Usually this is done in the application's
    Preferences, Properties, or Options dialog.

3.  Create or Edit entries for executable application types and/or
    compressed files.  These are usually files with extensions such as
    *.EXE, *.COM, *.SYS, *.BIN, *.DLL, *.SYS, *.ZIP, *.ARC, *.ARJ, etc.

4.  In the "application" field, enter the path to the WebScan executable and
    append the switch " /SAVE".  A typical entry would look like this:

	C:\McAfee\WebScan\AV\WEBSCAN.EXE /SAVE

    If you are manually linking WebScan to Microsoft Internet Explorer, you
    will have to include " %s" to the location string which would then look
    like this:

	C:\McAfee\WebScan\AV\WEBSCAN.EXE /SAVE %s

5.  When you have performed steps 3 and 4 for each executable file type, it
    is recommended that you exit and relaunch the browser.

    Due to the variety of World Wide Web browsers available, your browser
    may vary from the description given.

____________________
UNINSTALLING WEBSCAN
Automatically Uninstalling WebScan

To automatically uninstall WebScan, double-click the Uninstall Icon from the
McAfee WebScan Program Group.

Warning:  Do not stop the Uninstall procedure once it has begun.  If the
Uninstall procedure is interrupted, it must be completed manually.

Note:  WebScan Uninstall only breaks links to applications to which it
linked automatically during installation.  Browsers linked manually must
also have their links removed manually.


Manually Uninstalling WebScan

NOTE:  If you find you must uninstall WebScan manually, we recommend first
trying a full re-installation of WebScan (using the "Typical" installation
option) and then running the Uninstaller.  If this is insufficient, the
following procedure should be of help.

To manually uninstall WebScan, use the following procedure.

1.  If the files WCMDR.EXE and WCMDR.INI still exist in the \McAfee\WebScan
    directory, use the following command (supplying the appropriate
    directory) to remove the important settings:

	WCMDR -I C:\MCAFEE\WEBSCAN\WCMDR.INI

2.  Remove any remaining files or directories in \McAfee\WebScan.

    or

1.  If the above files do not exist but WEBSCAN.EXE does (DO NOT remove it
    yet) and you are running Windows 95 with Internet Explorer 2.0
    installed, WebScan extensions must be unregistered in the registry
    before anything else.  This can easily be accomplished by browsing to
    the \WebScan\AV directory and running the IEWEBOFF.REG (Registry
    Settings) file.

    IMPORTANT:  If this is not done properly, and the WEBSCAN.EXE file is
    removed prior to this step, the computer will cease to function
    normally.
    The computer can be returned to normal operation by performing the
    following workaround:

2.  Start a DOS prompt (.PIF extensions work fine).

3.  Ensuring that the current directory is the Windows 95 directory, type
    the following command:

	COPY /V REGEDIT.EXE REGEDIT.SCR

4.  Exit from the DOS Prompt window.

5.  Choose Run from the Start Menu and enter the following command
    (supplying the appropriate directory, if needed):

	REGEDIT.SCR C:\MCAFEE\WEBSCAN\AV\IEWEBOFF.REG

    This should launch the Registry Editor and a message will appear
    informing you that the appropriate changes have been made.

At this point, the computer will again function properly and any additional
procedures can be performed.

If all of the files have been removed, including the .REG files, the
Registry settings will need to be modified manually.

1.  Follow steps 2 - 4 above.

2.  Choose Run from the Start Menu and enter the following command
    (supplying the appropriate directory, if needed) to launch the Registry
    editor:

	REGEDIT.SCR

3.  Next, browse to each of the updated extensions (.arc, .arj, .com, .doc,
    .dot, .exe, .zip) under HKEY_CLASSES_ROOT.  Each of these will refer to
    another key (more descriptive and without the .extension format - an
    example is "exefiles").

4.  Browse to the referenced key and examine the shell\open\command key.
    There will be a setting entitled "Old Default".  Using the copy and
    paste commands, replicate the string into the {default} setting.

5.  Repeat steps 3 and 4 for each of the updated extensions.

6.  Delete the "Old Default" and "WebScan Installed" settings.

7.  Unlink all of the updated applications and manual links to WebScan
    (Reference "Manually Linking WebScan to a Browser" above) by removing
    WebScan from all of the settings.  Each of the updated applications has
    a configuration dialog which allows you choose the correct helper
    application once WebScan has been removed.

8.  Remove the WebScan program group and all of its program items.

9.  Delete the WebScan directory and all of its files.

There will remain a few minor miscellaneous settings depending on the
components installed.  Advanced users can refer to the WCMDR.INI file for
further details.

_______________________________
KNOWN PROBLEMS FOR THIS RELEASE
McAfee WebScan

1.  When using Microsoft's Internet Explorer for Windows 95, and selecting a
    monitored file type, the browser will present you with a dialog box
    entitled "Confirm File Open" which asks you to confirm the type of action
    to perform on the file.  This dialog will give you the choice of Opening
    the file, Saving the file to your system, or Canceling the operation.  To
    have WebScan check the file for viruses, you MUST choose the "Open"
    button.  You can make this the default behavior for this file type by
    unchecking the "Always ask before opening this type of file" box in the
    dialog.

2.  Netscape defaults saving downloaded files to the "Temporary Directory"
    defined in the "Apps" tab of Netscape's General Preferences.  WebScan
    receives this path from Netscape and, after scanning the file, opens the
    "Save As" dialog with the same default path.  When Netscape exits, all
    files downloaded to this directory are DELETED.  It is highly
    recommended that you do not save files you wish to keep into this
    directory.

    Once you choose to save to another directory, WebScan will remember and
    present this directory for the next "Save As" dialog.

3.  Web browsers typically download files to a temporary directory, and then
    call a helper or viewer application to process or display the file.
    WebScan acts as a helper application to scan the temporary file for
    viruses before providing an opportunity to save the file. If the save
    operation is canceled (the file was infected or by user request) the
    temporary file is deleted to prevent the possibility of infection from
    temporary files.  This may cause problems when using a Web Browser to
    browse files on your local disk.  When using a browser to "view"
    compressed or executable files stored on your local disk, most browsers
    do not actually copy the file, but simply display the original file
    instead. WebScan is called to scan the file, which for security's sake
    it assumes is a temporary file.  When WebScan completes the scan, it
    displays a "Save As" dialog box.  Choosing "Cancel" MAY DELETE the
    file from your local disk.  Since the path to the original item is the
    default path in the "Save As" dialog, choosing "Save" will preserve the
    file.

4.  Canceling a download in some browsers may still call WebScan to scan the
    partial file.  This is actually a feature of the browsers which WebScan
    cannot rectify.

5.  When WebScan detects a virus in a cc:Mail attachment, the e-mail virus
    notification message which WebScan sends to the original message sender
    only lists the first recipient of the infected message.  That is, if an
    infected message is sent to more than one recipient, the notification
    only cites the first recipient in the "To" field, rather than all who
    may have received it.

6.  WebScan may scan a Pegasus Mail message with no attachments.  No save
    option will be offered, and Pegasus Mail will continue without further
    interruption.

7.  Due to variances in the operating system, WebScan v1.04 does not operate
    with Microsoft Internet Explorer for Windows 95 when running under 
    Windows NT 4.0 beta. All other supported operating system and browser
    combinations work.

8.  Some file MIME types are not recognized from some servers by Microsoft
    Internet Explorer v1.5b.  These are not scanned for viruses by WebScan
    and should be examined with other anti-virus software such as McAfee's
    VirusScan.  Use Of Microsoft Internet Explorer v2.0, eliminates this
    problem.

9.  In Windows 3.1x, after a scan is completed, and a save location is
    specified, the file is saved to that location and the Windows Program
    Manager screen is displayed.  The browser is still loaded, however, the
    Program Manager screen must be diminished to continue using the browser.

McAfee WebScan Install

1.  When installing WebScan on Windows 3.1x with Win32s and linking to Lotus
    cc:Mail, the cc:Scan Configuration window appears momentarily and
    remains open in the background.  Configuration settings should be saved
    by the user once the rest of setup is complete.

McAfee WebScan Uninstall

1.  If you perform multiple installations of WebScan on a workstation
    without running the Uninstaller between installations, the Uninstaller
    will only remove the components installed the last time Setup was run.

2.  If cc:Scan is running when WebScan is uninstalled, the uninstall
    performs properly, but there is a possibility of cc:Scan causing a
    general protection fault since the supporting files have been removed.
    Be sure to exit all other Windows applications before running the
    Uninstaller.

______________________
ADDITIONAL INFORMATION
McAfee WebScan Supported Application Links

WebScan currently supports automatic linking to the following software
applications:

	SPRY Mosaic (WebScan, NetLauncher, Mosaic in a Box)
	America Online's World Wide Web Browser
	Microsoft Internet Explorer 1.5
	Microsoft Internet Explorer 2.0
	Netcom NetCruiser
	Netscape Navigator, 16-bit - Personal 2.01 & 2.02
	Netscape Navigator, 32-bit - Personal 2.01 & 2.02, Gold 2.01
	Lotus cc:Mail
	Pegasus Mail


McAfee WebScan Electronic Documentation

Additional information about installing and using WebScan and its components
can be found in the accompanying WEBSCAN.PDF file.  This file is in Adobe
Acrobat Portable Document Format, and can be viewed using Adobe Acrobat
Reader.  This form of electronic documentation includes hypertext links and
easy navigability to assist you in quickly finding answers to questions and
useful tips for using WebScan.

Adobe Acrobat Reader can be downloaded from the World Wide Web at:
	http://www.adobe.com/Acrobat/readstep.html

__________________________
MCAFEE CONTACT INFORMATION

For problems, questions, and suggestions for WebScan, contact McAfee at the
following:
	Tel:	(408) 988-3832
	Fax:	(408) 970-9727

When sending McAfee correspondence, please include the following information:

System
	Memory (RAM)
	CPU
	Windows version number
	Microsoft service pack, where applicable
	Network card installed, where applicable
	Modem manufacturer, model, and baud rate, where applicable
	Relevant browsers/applications and version number
	WebScan version number used (see WHATSNEW.TXT)

Problem
	Specific scenario where problem occurs
	Conditions required to reproduce problem
	Statement of whether problem is reproducible on demand

Other
	Your contact information - Voice, Fax, and E-mail

Other General feedback is also much appreciated.

